Package org.apache.calcite.avatica

# Class AvaticaConnection.Trojan

java.lang.Object
org.apache.calcite.avatica.AvaticaConnection.Trojan

Enclosing class:
  AvaticaConnection

public static class AvaticaConnection.Trojan extends Object
A way to call package-protected methods. But only a sub-class of connection can create one.

## Method Summary

Modifier and Type
Method
Description
`ResultSet`
`execute(AvaticaResultSet resultSet)`
A means for anyone who has a trojan to call the protected method `AvaticaResultSet.execute()`.
`Meta`
`getMeta(AvaticaConnection connection)`
A means for anyone who has a trojan to get the protected field `AvaticaConnection.meta`.
`List<TypedValue>`
`getParameterValues(AvaticaStatement statement)`
A means for anyone who has a trojan to call the protected method `AvaticaStatement.getParameterValues()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### execute

public ResultSet execute(AvaticaResultSet resultSet) throws SQLException
A means for anyone who has a trojan to call the protected method `AvaticaResultSet.execute()`.

Throws:
  `SQLException` - if execute fails for some reason.

### getParameterValues

public List<TypedValue> getParameterValues(AvaticaStatement statement)
A means for anyone who has a trojan to call the protected method `AvaticaStatement.getParameterValues()`.

### getMeta

public Meta getMeta(AvaticaConnection connection)
A means for anyone who has a trojan to get the protected field `AvaticaConnection.meta`.